import axios from '../api'

export default {
  addTask(params) {
    return axios.post('/api/inspect/addTask',params)
  },
  getList(params) {
    return axios.post('/api/inspectDriver/index',params)
  },
  getAssignedList(params) {
    return axios.post('/api/inspectDriver/assignedList',params)
  },
  basicData(params) {
    return axios.get('/api/inspectDriver/basicData',params)
  },
  dropTask(params) {
    return axios.post('/api/inspectDriver/dropTask',params)
  },
  reProcess(params) {
    return axios.post('/api/inspectDriver/reProcess',params)
  },
  assignCancel(params) {
    return axios.post('/api/inspectDriver/cancel',params)
  },
  getInspectDriverList(params) {
    return axios.post('/api/inspectDriver/list',params)
  },
  getDetail(params) {
    return axios({
      method: "GET",
      url: '/api/inspectDriver/detail?id='+params.id,
      data: {}
    })
  },
  print(params) {
    return axios({
      method: "GET",
      url: '/api/inspectDriver/print?id='+params.id,
      data: {}
    })
  },
  executeTask(params) {
    return axios.post('/api/inspectDriver/executeTask',params)
  },
  getEquipmentList(data) {
    return axios({
      method: "POST",
      url: '/api/equipment/getEquipmentList',
      data:data
    })
  },
  getMountEquipmentList(data) {
    return axios({
      method: "POST",
      url: '/api/mountequipment/getMountEquipmentList',
      data:data
    })
  },
  getFlyHandList(data) {
    return axios({
      method: "POST",
      url: '/api/admin/getFlyHandList',
      data:data
    })
  },

  assignTask(data) {
    return axios({
      method: "POST",
      url: '/api/inspectDriver/assignTask',
      data:data
    })
  },

  point(driverId) {
    return axios({
      method: "GET",
      url: '/api/inspectDriver/point',
      params:{
        driverId
      }
    })
  },

  getLiveList(){
    return axios({
      method: "GET",
      url: '/api/equipment/live',
      params:{}
    })
  }
}


